_USB1Interrupt:
;Autopilot.mbas,8 :: 		sub procedure USB1Interrupt() iv IVT_INT_USB_LP_CAN_RX0 ics ICS_AUTO
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Autopilot.mbas,9 :: 		USB_Interrupt_Proc()
BL	_USB_Interrupt_Proc+0
;Autopilot.mbas,10 :: 		end sub
L_end_USB1Interrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB1Interrupt
_main:
;Autopilot.mbas,12 :: 		main:
;Autopilot.mbas,16 :: 		_GPIO_PINMASK_11 or _GPIO_PINMASK_12)
MOVW	R1, #65504
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;Autopilot.mbas,18 :: 		GPIO_Digital_Output(@GPIOC_BASE, _GPIO_PINMASK_13)
MOVW	R1, #8192
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;Autopilot.mbas,19 :: 		GPIOB_ODR = 0
MOVS	R1, #0
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;Autopilot.mbas,20 :: 		GPIOC_ODR.13 = 0
MOVS	R1, #0
MOVW	R0, #lo_addr(GPIOC_ODR+1)
MOVT	R0, #hi_addr(GPIOC_ODR+1)
STR	R1, [R0, #0]
;Autopilot.mbas,22 :: 		HID_Enable(@readbuff, @writebuff)
MOVW	R1, #lo_addr(_writebuff+0)
MOVT	R1, #hi_addr(_writebuff+0)
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
BL	_HID_Enable+0
;Autopilot.mbas,24 :: 		Delay_ms(200)
MOVW	R7, #40703
MOVT	R7, #36
NOP
NOP
L__main2:
SUBS	R7, R7, #1
BNE	L__main2
NOP
NOP
NOP
;Autopilot.mbas,25 :: 		GPIOC_ODR.13 = 1
MOVS	R1, #1
MOVW	R0, #lo_addr(GPIOC_ODR+1)
MOVT	R0, #hi_addr(GPIOC_ODR+1)
STR	R1, [R0, #0]
;Autopilot.mbas,26 :: 		Delay_ms(200)
MOVW	R7, #40703
MOVT	R7, #36
NOP
NOP
L__main4:
SUBS	R7, R7, #1
BNE	L__main4
NOP
NOP
NOP
;Autopilot.mbas,27 :: 		GPIOC_ODR.13 = 0
MOVS	R1, #0
MOVW	R0, #lo_addr(GPIOC_ODR+1)
MOVT	R0, #hi_addr(GPIOC_ODR+1)
STR	R1, [R0, #0]
;Autopilot.mbas,28 :: 		Delay_ms(200)
MOVW	R7, #40703
MOVT	R7, #36
NOP
NOP
L__main6:
SUBS	R7, R7, #1
BNE	L__main6
NOP
NOP
NOP
;Autopilot.mbas,29 :: 		GPIOC_ODR.13 = 1
MOVS	R1, #1
MOVW	R0, #lo_addr(GPIOC_ODR+1)
MOVT	R0, #hi_addr(GPIOC_ODR+1)
STR	R1, [R0, #0]
;Autopilot.mbas,31 :: 		while TRUE
L__main9:
;Autopilot.mbas,33 :: 		if HID_Read() <> 0 then
BL	_HID_Read+0
CMP	R0, #0
IT	EQ
BEQ	L__main14
;Autopilot.mbas,35 :: 		PinsData = ((readbuff[1]<<8) or readbuff[0])<<5
MOVW	R0, #lo_addr(_readbuff+1)
MOVT	R0, #hi_addr(_readbuff+1)
LDRB	R0, [R0, #0]
LSLS	R1, R0, #8
UXTH	R1, R1
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
ORR	R0, R1, R0, LSL #0
UXTH	R0, R0
LSLS	R1, R0, #5
UXTH	R1, R1
MOVW	R0, #lo_addr(_PinsData+0)
MOVT	R0, #hi_addr(_PinsData+0)
STRH	R1, [R0, #0]
;Autopilot.mbas,36 :: 		GPIOB_ODR = PinsData
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;Autopilot.mbas,37 :: 		GPIOC_ODR.13 = not PinsData.5
MOVW	R1, #lo_addr(_PinsData+0)
MOVT	R1, #hi_addr(_PinsData+0)
LDR	R0, [R1, #0]
EOR	R1, R0, #1
MOVW	R0, #lo_addr(GPIOC_ODR+1)
MOVT	R0, #hi_addr(GPIOC_ODR+1)
STR	R1, [R0, #0]
IT	AL
BAL	L__main15
;Autopilot.mbas,39 :: 		else
L__main14:
;Autopilot.mbas,40 :: 		Delay_ms(4)
MOVW	R7, #47999
MOVT	R7, #0
NOP
NOP
L__main16:
SUBS	R7, R7, #1
BNE	L__main16
NOP
NOP
NOP
;Autopilot.mbas,41 :: 		end if
L__main15:
;Autopilot.mbas,43 :: 		wend
IT	AL
BAL	L__main9
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
